diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-uplink-sinr.cc ns-3.44/src/lte/test/lte-test-uplink-sinr.cc
--- ns-3.43/src/lte/test/lte-test-uplink-sinr.cc	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-uplink-sinr.cc	2025-03-09 16:55:49.611372000 -0700
@@ -13,12 +13,12 @@
 #include "lte-test-ue-phy.h"
 
 #include "ns3/log.h"
+#include "ns3/lte-chunk-processor.h"
+#include "ns3/lte-helper.h"
 #include "ns3/lte-phy-tag.h"
 #include "ns3/lte-spectrum-signal-parameters.h"
 #include "ns3/simulator.h"
 #include "ns3/spectrum-test.h"
-#include <ns3/lte-chunk-processor.h>
-#include <ns3/lte-helper.h>
 
 using namespace ns3;
 
@@ -112,7 +112,7 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  * Static variable for test initialization
  */
 static LteUplinkSinrTestSuite lteUplinkSinrTestSuite;
@@ -298,7 +298,7 @@
     ip4->cellId = pbCellId[5];
     Simulator::Schedule(ti4, &LteSpectrumPhy::StartRx, ulPhy, ip4);
 
-    Simulator::Stop(Seconds(5.0));
+    Simulator::Stop(Seconds(5));
     Simulator::Run();
 
     NS_LOG_INFO("Data Frame - Theoretical SINR: " << *m_expectedSinr);
@@ -474,7 +474,7 @@
     ip4->cellId = pbCellId[5];
     Simulator::Schedule(ti4, &LteSpectrumPhy::StartRx, ulPhy, ip4);
 
-    Simulator::Stop(Seconds(5.0));
+    Simulator::Stop(Seconds(5));
     Simulator::Run();
 
     NS_ASSERT_MSG(m_actualSinr, "no actual SINR reported");
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/lte-test-uplink-sinr.h ns-3.44/src/lte/test/lte-test-uplink-sinr.h
--- ns-3.43/src/lte/test/lte-test-uplink-sinr.h	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/lte-test-uplink-sinr.h	2025-03-09 16:55:49.611372000 -0700
@@ -17,9 +17,9 @@
 using namespace ns3;
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test 1.2 SINR calculation in uplink
+ * @brief Test 1.2 SINR calculation in uplink
  */
 class LteUplinkSinrTestSuite : public TestSuite
 {
@@ -28,9 +28,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test generation of SINR in the uplink. Test schedules the signal and the interference
+ * @brief Test generation of SINR in the uplink. Test schedules the signal and the interference
  * signals and it evaluates if the obtained value for SINR corresponds to the theoretical value
  * in given conditions.
  */
@@ -40,10 +40,10 @@
     /**
      * Constructor
      *
-     * \param sv1 spectrum value 1
-     * \param sv2 spectrum value 2
-     * \param sinr the SINR
-     * \param name the reference name
+     * @param sv1 spectrum value 1
+     * @param sv2 spectrum value 2
+     * @param sinr the SINR
+     * @param name the reference name
      */
     LteUplinkDataSinrTestCase(Ptr<SpectrumValue> sv1,
                               Ptr<SpectrumValue> sv2,
@@ -61,9 +61,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief  In this test one signal will be of interest, i.e., the
+ * @brief  In this test one signal will be of interest, i.e., the
  *  SRS of the first signal will have the same CellId of the
  *  receiving PHY; the others will have a different
  *  CellId and hence will be the interfering signals. The test
@@ -76,10 +76,10 @@
     /**
      * Constructor
      *
-     * \param sv1 spectrum value 1
-     * \param sv2 spectrum value 2
-     * \param sinr the SINR
-     * \param name the reference name
+     * @param sv1 spectrum value 1
+     * @param sv2 spectrum value 2
+     * @param sinr the SINR
+     * @param name the reference name
      */
     LteUplinkSrsSinrTestCase(Ptr<SpectrumValue> sv1,
                              Ptr<SpectrumValue> sv2,
@@ -90,7 +90,7 @@
     /**
      * Callback to be connected to an LteChunkProcessor to collect the reported SINR
      *
-     * \param sinr
+     * @param sinr
      */
     void ReportSinr(const SpectrumValue& sinr);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/test-asn1-encoding.cc ns-3.44/src/lte/test/test-asn1-encoding.cc
--- ns-3.43/src/lte/test/test-asn1-encoding.cc	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/test-asn1-encoding.cc	2025-03-09 16:55:49.611372000 -0700
@@ -25,17 +25,17 @@
 NS_LOG_COMPONENT_DEFINE("Asn1EncodingTest");
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Contains ASN encoding test utility functions.
+ * @brief Contains ASN encoding test utility functions.
  */
 class TestUtils
 {
   public:
     /**
      * Function to convert packet contents in hex format
-     * \param pkt the packet
-     * \returns the text string
+     * @param pkt the packet
+     * @returns the text string
      */
     static std::string sprintPacketContentsHex(Ptr<Packet> pkt)
     {
@@ -51,8 +51,8 @@
 
     /**
      * Function to convert packet contents in binary format
-     * \param pkt the packet
-     * \returns the text string
+     * @param pkt the packet
+     * @returns the text string
      */
     static std::string sprintPacketContentsBin(Ptr<Packet> pkt)
     {
@@ -68,7 +68,7 @@
 
     /**
      * Function to log packet contents
-     * \param pkt the packet
+     * @param pkt the packet
      */
     static void LogPacketContents(Ptr<Packet> pkt)
     {
@@ -79,8 +79,8 @@
 
     /**
      * Function to log packet info
-     * \param source T
-     * \param s the string
+     * @param source T
+     * @param s the string
      */
     template <class T>
     static void LogPacketInfo(T source, std::string s)
@@ -94,9 +94,9 @@
 
 // --------------------------- CLASS RrcHeaderTestCase -----------------------------
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief This class provides common functions to be inherited
+ * @brief This class provides common functions to be inherited
  * by the children TestCases
  */
 class RrcHeaderTestCase : public TestCase
@@ -104,19 +104,19 @@
   public:
     /**
      * Constructor
-     * \param s the reference name
+     * @param s the reference name
      */
     RrcHeaderTestCase(std::string s);
     void DoRun() override = 0;
     /**
-     * \brief Create radio resource config dedicated
-     * \returns LteRrcSap::RadioResourceConfigDedicated
+     * @brief Create radio resource config dedicated
+     * @returns LteRrcSap::RadioResourceConfigDedicated
      */
     LteRrcSap::RadioResourceConfigDedicated CreateRadioResourceConfigDedicated();
     /**
-     * \brief Assert equal radio resource config dedicated
-     * \param rrcd1 LteRrcSap::RadioResourceConfigDedicated # 1
-     * \param rrcd2 LteRrcSap::RadioResourceConfigDedicated # 2
+     * @brief Assert equal radio resource config dedicated
+     * @param rrcd1 LteRrcSap::RadioResourceConfigDedicated # 1
+     * @param rrcd2 LteRrcSap::RadioResourceConfigDedicated # 2
      */
     void AssertEqualRadioResourceConfigDedicated(LteRrcSap::RadioResourceConfigDedicated rrcd1,
                                                  LteRrcSap::RadioResourceConfigDedicated rrcd2);
@@ -311,9 +311,9 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Rrc Connection Request Test Case
+ * @brief Rrc Connection Request Test Case
  */
 class RrcConnectionRequestTestCase : public RrcHeaderTestCase
 {
@@ -363,9 +363,9 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Rrc Connection Setup Test Case
+ * @brief Rrc Connection Setup Test Case
  */
 class RrcConnectionSetupTestCase : public RrcHeaderTestCase
 {
@@ -420,9 +420,9 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Rrc Connection Setup Complete Test Case
+ * @brief Rrc Connection Setup Complete Test Case
  */
 class RrcConnectionSetupCompleteTestCase : public RrcHeaderTestCase
 {
@@ -473,9 +473,9 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Rrc Connection Reconfiguration Complete Test Case
+ * @brief Rrc Connection Reconfiguration Complete Test Case
  */
 class RrcConnectionReconfigurationCompleteTestCase : public RrcHeaderTestCase
 {
@@ -527,9 +527,9 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Rrc Connection Reconfiguration Test Case
+ * @brief Rrc Connection Reconfiguration Test Case
  */
 class RrcConnectionReconfigurationTestCase : public RrcHeaderTestCase
 {
@@ -765,9 +765,9 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Handover Preparation Info Test Case
+ * @brief Handover Preparation Info Test Case
  */
 class HandoverPreparationInfoTestCase : public RrcHeaderTestCase
 {
@@ -874,9 +874,9 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Rrc Connection Reestablishment Request Test Case
+ * @brief Rrc Connection Reestablishment Request Test Case
  */
 class RrcConnectionReestablishmentRequestTestCase : public RrcHeaderTestCase
 {
@@ -933,9 +933,9 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Rrc Connection Reestablishment Test Case
+ * @brief Rrc Connection Reestablishment Test Case
  */
 class RrcConnectionReestablishmentTestCase : public RrcHeaderTestCase
 {
@@ -989,9 +989,9 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Rrc Connection Reestablishment Complete Test Case
+ * @brief Rrc Connection Reestablishment Complete Test Case
  */
 class RrcConnectionReestablishmentCompleteTestCase : public RrcHeaderTestCase
 {
@@ -1043,9 +1043,9 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Rrc Connection Reject Test Case
+ * @brief Rrc Connection Reject Test Case
  */
 class RrcConnectionRejectTestCase : public RrcHeaderTestCase
 {
@@ -1096,9 +1096,9 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Measurement Report Test Case
+ * @brief Measurement Report Test Case
  */
 class MeasurementReportTestCase : public RrcHeaderTestCase
 {
@@ -1233,9 +1233,9 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Asn1Encoding Test Suite
+ * @brief Asn1Encoding Test Suite
  */
 class Asn1EncodingSuite : public TestSuite
 {
@@ -1261,7 +1261,7 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  * Static variable for test initialization
  */
 Asn1EncodingSuite g_asn1EncodingSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/test-epc-tft-classifier.cc ns-3.44/src/lte/test/test-epc-tft-classifier.cc
--- ns-3.43/src/lte/test/test-epc-tft-classifier.cc	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/test-epc-tft-classifier.cc	2025-03-09 16:55:49.611372000 -0700
@@ -28,9 +28,9 @@
 NS_LOG_COMPONENT_DEFINE("TestEpcTftClassifier");
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test case to check the functionality of the Tft Classifier. Test
+ * @brief Test case to check the functionality of the Tft Classifier. Test
  * consist of defining different TFT configurations, i.e. direction, ports,
  * address, and it is checking if the clasiffication of UDP packets is
  * done correctly.
@@ -41,15 +41,15 @@
     /**
      * Constructor
      *
-     * \param c the EPC TFT classifier
-     * \param d the EPC TFT direction
-     * \param sa the source address (in IPv4 format)
-     * \param da the destination address (in IPv4 format)
-     * \param sp the source port
-     * \param dp the destination port
-     * \param tos the TOS
-     * \param tftId the TFT ID
-     * \param useIpv6 use IPv6 or IPv4 addresses. If set, addresses will be used as IPv4 mapped
+     * @param c the EPC TFT classifier
+     * @param d the EPC TFT direction
+     * @param sa the source address (in IPv4 format)
+     * @param da the destination address (in IPv4 format)
+     * @param sp the source port
+     * @param dp the destination port
+     * @param tos the TOS
+     * @param tftId the TFT ID
+     * @param useIpv6 use IPv6 or IPv4 addresses. If set, addresses will be used as IPv4 mapped
      * addresses
      */
     EpcTftClassifierTestCase(Ptr<EpcTftClassifier> c,
@@ -76,17 +76,17 @@
 
     /**
      * Build name string
-     * \param c the EPC TFT classifier
-     * \param d the EPC TFT direction
-     * \param sa the source address
-     * \param da the destination address
-     * \param sp the source port
-     * \param dp the destination port
-     * \param tos the TOS
-     * \param tftId the TFT ID
-     * \param useIpv6 use IPv6 or IPv4 addresses. If set, addresses will be used as IPv4
+     * @param c the EPC TFT classifier
+     * @param d the EPC TFT direction
+     * @param sa the source address
+     * @param da the destination address
+     * @param sp the source port
+     * @param dp the destination port
+     * @param tos the TOS
+     * @param tftId the TFT ID
+     * @param useIpv6 use IPv6 or IPv4 addresses. If set, addresses will be used as IPv4
      * mapped addresses
-     * \returns the name string
+     * @returns the name string
      */
     static std::string BuildNameString(Ptr<EpcTftClassifier> c,
                                        EpcTft::Direction d,
@@ -194,9 +194,9 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Epc Tft Classifier Test Suite
+ * @brief Epc Tft Classifier Test Suite
  */
 class EpcTftClassifierTestSuite : public TestSuite
 {
@@ -205,7 +205,7 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  * Static variable for test initialization
  */
 static EpcTftClassifierTestSuite g_lteTftClassifierTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/test-lte-antenna.cc ns-3.44/src/lte/test/test-lte-antenna.cc
--- ns-3.43/src/lte/test/test-lte-antenna.cc	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/test-lte-antenna.cc	2025-03-09 16:55:49.611372000 -0700
@@ -12,6 +12,7 @@
 #include "ns3/enum.h"
 #include "ns3/ff-mac-scheduler.h"
 #include "ns3/log.h"
+#include "ns3/lte-chunk-processor.h"
 #include "ns3/lte-enb-net-device.h"
 #include "ns3/lte-enb-phy.h"
 #include "ns3/lte-global-pathloss-database.h"
@@ -22,16 +23,15 @@
 #include "ns3/simulator.h"
 #include "ns3/string.h"
 #include "ns3/test.h"
-#include <ns3/lte-chunk-processor.h>
 
 using namespace ns3;
 
 NS_LOG_COMPONENT_DEFINE("LteAntennaTest");
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Tests that the propagation model and the antenna parameters are
+ * @brief Tests that the propagation model and the antenna parameters are
  * generate the correct values. Different test cases are created by specifying different
  * antenna configurations and it is tested if for the given information the pathloss
  * value is as expected.
@@ -41,11 +41,11 @@
   public:
     /**
      * Build name string
-     * \param orientationDegrees the orientation in degrees
-     * \param beamwidthDegrees the beam width in degrees
-     * \param x position of UE
-     * \param y position of UE
-     * \returns the name string
+     * @param orientationDegrees the orientation in degrees
+     * @param beamwidthDegrees the beam width in degrees
+     * @param x position of UE
+     * @param y position of UE
+     * @returns the name string
      */
     static std::string BuildNameString(double orientationDegrees,
                                        double beamwidthDegrees,
@@ -54,11 +54,11 @@
     /**
      * Constructor
      *
-     * \param orientationDegrees the orientation in degrees
-     * \param beamwidthDegrees the beam width in degrees
-     * \param x position of UE
-     * \param y position of UE
-     * \param antennaGainDb the antenna gain in dB
+     * @param orientationDegrees the orientation in degrees
+     * @param beamwidthDegrees the beam width in degrees
+     * @param x position of UE
+     * @param y position of UE
+     * @param antennaGainDb the antenna gain in dB
      */
     LteEnbAntennaTestCase(double orientationDegrees,
                           double beamwidthDegrees,
@@ -251,9 +251,9 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Lte Enb Antenna Test Suite
+ * @brief Lte Enb Antenna Test Suite
  */
 class LteAntennaTestSuite : public TestSuite
 {
@@ -310,7 +310,7 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  * Static variable for test initialization
  */
 static LteAntennaTestSuite g_lteAntennaTestSuite;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/test-lte-epc-e2e-data.cc ns-3.44/src/lte/test/test-lte-epc-e2e-data.cc
--- ns-3.43/src/lte/test/test-lte-epc-e2e-data.cc	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/test-lte-epc-e2e-data.cc	2025-03-09 16:55:49.611372000 -0700
@@ -12,6 +12,8 @@
 #include "ns3/inet-socket-address.h"
 #include "ns3/internet-stack-helper.h"
 #include "ns3/ipv4-address-helper.h"
+#include "ns3/ipv4-static-routing-helper.h"
+#include "ns3/ipv4-static-routing.h"
 #include "ns3/log.h"
 #include "ns3/lte-helper.h"
 #include "ns3/mobility-helper.h"
@@ -24,15 +26,13 @@
 #include "ns3/udp-client-server-helper.h"
 #include "ns3/udp-echo-helper.h"
 #include "ns3/uinteger.h"
-#include <ns3/ipv4-static-routing-helper.h>
-#include <ns3/ipv4-static-routing.h>
 
 using namespace ns3;
 
 NS_LOG_COMPONENT_DEFINE("LteEpcE2eData");
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  */
 
 /// BearerTestData structure
@@ -41,9 +41,9 @@
     /**
      * Constructor
      *
-     * \param n the number of packets
-     * \param s the packet size
-     * \param i the inter packet interval in seconds
+     * @param n the number of packets
+     * @param s the packet size
+     * @param i the inter packet interval in seconds
      */
     BearerTestData(uint32_t n, uint32_t s, double i);
 
@@ -78,9 +78,9 @@
 };
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test that e2e packet flow is correct. Compares the data send and the
+ * @brief Test that e2e packet flow is correct. Compares the data send and the
  * data received. Test uses mostly the PDCP stats to check the performance.
  */
 
@@ -90,8 +90,8 @@
     /**
      * Constructor
      *
-     * \param name the reference name
-     * \param v the ENB test data
+     * @param name the reference name
+     * @param v the ENB test data
      */
     LteEpcE2eDataTestCase(std::string name, std::vector<EnbTestData> v);
     ~LteEpcE2eDataTestCase() override;
@@ -357,9 +357,9 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Test that the S1-U interface implementation works correctly
+ * @brief Test that the S1-U interface implementation works correctly
  */
 class LteEpcE2eDataTestSuite : public TestSuite
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/lte/test/test-lte-handover-delay.cc ns-3.44/src/lte/test/test-lte-handover-delay.cc
--- ns-3.43/src/lte/test/test-lte-handover-delay.cc	2024-10-09 16:41:10.048656500 -0700
+++ ns-3.44/src/lte/test/test-lte-handover-delay.cc	2025-03-09 16:55:49.611372000 -0700
@@ -7,36 +7,36 @@
  *         Alexander Krotov <krotov@iitp.ru>
  */
 
-#include <ns3/boolean.h>
-#include <ns3/callback.h>
-#include <ns3/cc-helper.h>
-#include <ns3/config.h>
-#include <ns3/data-rate.h>
-#include <ns3/internet-stack-helper.h>
-#include <ns3/ipv4-address-helper.h>
-#include <ns3/ipv4-interface-container.h>
-#include <ns3/ipv4-static-routing-helper.h>
-#include <ns3/ipv4-static-routing.h>
-#include <ns3/log.h>
-#include <ns3/lte-helper.h>
-#include <ns3/mobility-helper.h>
-#include <ns3/net-device-container.h>
-#include <ns3/node-container.h>
-#include <ns3/nstime.h>
-#include <ns3/point-to-point-epc-helper.h>
-#include <ns3/point-to-point-helper.h>
-#include <ns3/position-allocator.h>
-#include <ns3/simulator.h>
-#include <ns3/test.h>
+#include "ns3/boolean.h"
+#include "ns3/callback.h"
+#include "ns3/cc-helper.h"
+#include "ns3/config.h"
+#include "ns3/data-rate.h"
+#include "ns3/internet-stack-helper.h"
+#include "ns3/ipv4-address-helper.h"
+#include "ns3/ipv4-interface-container.h"
+#include "ns3/ipv4-static-routing-helper.h"
+#include "ns3/ipv4-static-routing.h"
+#include "ns3/log.h"
+#include "ns3/lte-helper.h"
+#include "ns3/mobility-helper.h"
+#include "ns3/net-device-container.h"
+#include "ns3/node-container.h"
+#include "ns3/nstime.h"
+#include "ns3/point-to-point-epc-helper.h"
+#include "ns3/point-to-point-helper.h"
+#include "ns3/position-allocator.h"
+#include "ns3/simulator.h"
+#include "ns3/test.h"
 
 using namespace ns3;
 
 NS_LOG_COMPONENT_DEFINE("LteHandoverDelayTest");
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Verifying that the time needed for handover is under a
+ * @brief Verifying that the time needed for handover is under a
  * specified threshold.
  */
 
@@ -46,11 +46,11 @@
     /**
      * Constructor
      *
-     * \param numberOfComponentCarriers number of component carriers
-     * \param useIdealRrc if true, use the ideal RRC
-     * \param handoverTime the time of handover
-     * \param delayThreshold the delay threshold
-     * \param simulationDuration duration of the simulation
+     * @param numberOfComponentCarriers number of component carriers
+     * @param useIdealRrc if true, use the ideal RRC
+     * @param handoverTime the time of handover
+     * @param delayThreshold the delay threshold
+     * @param simulationDuration duration of the simulation
      */
     LteHandoverDelayTestCase(uint8_t numberOfComponentCarriers,
                              bool useIdealRrc,
@@ -63,8 +63,8 @@
           m_handoverTime(handoverTime),
           m_delayThreshold(delayThreshold),
           m_simulationDuration(simulationDuration),
-          m_ueHandoverStart(Seconds(0)),
-          m_enbHandoverStart(Seconds(0))
+          m_ueHandoverStart(),
+          m_enbHandoverStart()
     {
     }
 
@@ -73,11 +73,11 @@
 
     /**
      * UE handover start callback function
-     * \param context the context string
-     * \param imsi the IMSI
-     * \param cellid the cell ID
-     * \param rnti the RNTI
-     * \param targetCellId the target cell ID
+     * @param context the context string
+     * @param imsi the IMSI
+     * @param cellid the cell ID
+     * @param rnti the RNTI
+     * @param targetCellId the target cell ID
      */
     void UeHandoverStartCallback(std::string context,
                                  uint64_t imsi,
@@ -86,10 +86,10 @@
                                  uint16_t targetCellId);
     /**
      * UE handover end OK callback function
-     * \param context the context string
-     * \param imsi the IMSI
-     * \param cellid the cell ID
-     * \param rnti the RNTI
+     * @param context the context string
+     * @param imsi the IMSI
+     * @param cellid the cell ID
+     * @param rnti the RNTI
      */
     void UeHandoverEndOkCallback(std::string context,
                                  uint64_t imsi,
@@ -97,11 +97,11 @@
                                  uint16_t rnti);
     /**
      * ENB handover start callback function
-     * \param context the context string
-     * \param imsi the IMSI
-     * \param cellid the cell ID
-     * \param rnti the RNTI
-     * \param targetCellId the target cell ID
+     * @param context the context string
+     * @param imsi the IMSI
+     * @param cellid the cell ID
+     * @param rnti the RNTI
+     * @param targetCellId the target cell ID
      */
     void EnbHandoverStartCallback(std::string context,
                                   uint64_t imsi,
@@ -110,10 +110,10 @@
                                   uint16_t targetCellId);
     /**
      * ENB handover end OK callback function
-     * \param context the context string
-     * \param imsi the IMSI
-     * \param cellid the cell ID
-     * \param rnti the RNTI
+     * @param context the context string
+     * @param imsi the IMSI
+     * @param cellid the cell ID
+     * @param rnti the RNTI
      */
     void EnbHandoverEndOkCallback(std::string context,
                                   uint64_t imsi,
@@ -234,7 +234,7 @@
                                                   uint16_t rnti)
 {
     NS_LOG_FUNCTION(this << context);
-    NS_ASSERT(m_ueHandoverStart > Seconds(0));
+    NS_ASSERT(m_ueHandoverStart.IsStrictlyPositive());
     Time delay = Simulator::Now() - m_ueHandoverStart;
 
     NS_LOG_DEBUG(this << " UE delay = " << delay.As(Time::S));
@@ -263,7 +263,7 @@
                                                    uint16_t rnti)
 {
     NS_LOG_FUNCTION(this << context);
-    NS_ASSERT(m_enbHandoverStart > Seconds(0));
+    NS_ASSERT(m_enbHandoverStart.IsStrictlyPositive());
     Time delay = Simulator::Now() - m_enbHandoverStart;
 
     NS_LOG_DEBUG(this << " eNodeB delay = " << delay.As(Time::S));
@@ -275,9 +275,9 @@
 }
 
 /**
- * \ingroup lte-test
+ * @ingroup lte-test
  *
- * \brief Lte Handover Delay Test Suite
+ * @brief Lte Handover Delay Test Suite
  */
 
 static class LteHandoverDelayTestSuite : public TestSuite
